Bug 173231 - www/trac-datefield: do not directly depend on setuptools
Summary: www/trac-datefield: do not directly depend on setuptools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eygene Ryabinkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 09:00 UTC by Ruslan Makhmatkhanov
Modified: 2012-12-26 10:05 UTC (History)
0 users

See Also:


Attachments
file.diff (1.55 KB, patch)
2012-10-31 09:00 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-10-31 09:00:00 UTC
- do not directly depend on setuptools, use USE_DISTUTILS instead
- bump PORTREVISION because of dependency change
- trim Makefile header
- remove indefinite article in COMMENT
- limit python version to 2.x only
- remove permissions fixing part - setuptools will take care of it

buildlog:
http://people.freebsd.org/~rm/trac-datefield-1.0.1_3.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-31 09:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rea

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-12-26 09:57:48 UTC
Author: rm
Date: Wed Dec 26 09:57:39 2012
New Revision: 309509
URL: http://svnweb.freebsd.org/changeset/ports/309509

Log:
  - do not directly depend on setuptools, use USE_DISTUTILS instead
  - bump PORTREVISION because of dependency change
  - trim Makefile header
  - remove indefinite article in COMMENT
  - limit python version to 2.x only
  - remove permissions fixing part - setuptools will take care of it
  
  PR:		173231
  Submitted by:	rm (myself)
  Approved by:	maintainer timeout (~2 months)

Modified:
  head/www/trac-datefield/Makefile

Modified: head/www/trac-datefield/Makefile
==============================================================================
--- head/www/trac-datefield/Makefile	Wed Dec 26 09:56:35 2012	(r309508)
+++ head/www/trac-datefield/Makefile	Wed Dec 26 09:57:39 2012	(r309509)
@@ -1,39 +1,25 @@
-# New ports collection makefile for: trac-autocomplete
-# Date created:                      December 16, 2009
-# Whom:                              Eygene Ryabinkin <rea-fbsd@codelabs.ru>
-#
+# Created by: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	datefield
 PORTVERSION=	1.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	www python
 MASTER_SITES=	http://dist.codelabs.ru/fbsd/
 PKGNAMEPREFIX=	trac-
 DISTNAME=	datefieldplugin-r${REL}
 
 MAINTAINER=	rea@FreeBSD.org
-COMMENT=	A plugin for creating date fields
+COMMENT=	Plugin for creating date fields
 
-BUILD_DEPENDS+=	easy_install:${PORTSDIR}/devel/py-setuptools
 RUN_DEPENDS+=	trac>=0.11:${PORTSDIR}/www/trac
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	-2.7
 USE_ZIP=	yes
-NO_BUILD=	yes
-USE_PYDISTUTILS=	yes
+USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_PKGNAME=	TracDateField
-PYDISTUTILS_NOEGGINFO=	yes
 WRKSRC=		${WRKDIR}/datefieldplugin/0.11
 REL=		7267
-PLIST_FILES=	${PYTHON_SITELIBDIR:S;${LOCALBASE}/;;}/${PYDISTUTILS_PKGNAME}-${PORTVERSION}-py${PYTHON_VER}.egg
-
-# We must fix file permissions -- ZIP file have 0000 for every file.
-# Directory permissions are fine (they aren't stored inside ZIP
-# file), but we set them too -- just in case.
-post-extract:
-	@${FIND} ${WRKSRC} -type f | ${XARGS} ${CHMOD} 644
-	@${FIND} ${WRKSRC} -type d | ${XARGS} ${CHMOD} 755
+PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-12-26 10:05:45 UTC
State Changed
From-To: open->closed

Committed, thank you!